﻿@model ClientInfo;
@{
    string targetTable = Context.Request.Path.Value.Contains("clientinfo") ? "ClientData" : "SpouseData";
}
<div class="modal" id="clientMilitaryModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog max-w-650px" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Military Service</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i aria-hidden="true" class="ki ki-close"></i>
                </button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <div class="d-flex">
                        <div class="align-self-center mr-2">
                            <span class="switch switch-icon switch-sm switch-custom">
                                <label>
                                    <input type="checkbox" asp-for="ActiveService" data-target-table="@targetTable">
                                    <span></span>
                                </label>
                            </span>
                        </div>
                        <label class="switch-label" asp-for="ActiveService">
                            Was your (or if applicable, a previous spouse's) service at least 90 days active with at least one of those days during a period of war?
                        </label>
                    </div>
                </div>
                <div class="form-group">
                    <div class="d-flex">
                        <div class="align-self-center mr-2">
                            <span class="switch switch-icon switch-sm switch-custom">
                                <label>
                                    <input type="checkbox" asp-for="Discharge" data-target-table="@targetTable">
                                    <span></span>
                                </label>
                            </span>
                        </div>
                        <label class="switch-label" asp-for="Discharge">
                            Did you (or if applicable, the previous spouse) receive a military discharge from service other than a dishonorable or officer discharge?
                        </label>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn-military-submit" type="button" data-dismiss="modal">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </div>
    </div>
</div>